This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 582649 - Some translated strings are not used, problem with non-breaking space?
Some translated strings are not used, problem with non-breaking space?
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-15 10:15 EDT by Raphaël Hertzog
Modified: 2010-11-23 23:19 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-1.6.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 14:57:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
article reproducing the problem (2.94 KB, application/x-gzip)
2010-04-15 10:15 EDT, Raphaël Hertzog
no flags Details

  None (edit)
Description Raphaël Hertzog 2010-04-15 10:15:35 EDT
Created attachment 406806 [details]
article reproducing the problem

When building a translation, some paragraphs are left untranslated even if the corresponding PO file has the required translation.

You can reproduce the problem with the attached sample (in testpo.tar.gz). When building the english translation (publican build --format=html-desktop --lang=en-US), the first paragraph will not be translated when it clearly should (testpo.po is completely translated and it's up-to-date according to publican update_po).

The only unusual aspect of the first string is that the translated string contains a non-breaking space (in "5 MB"). Looking closely to the other occurrence of this problem seems to confirm that all unused strings do contain a non-breaking space.
Comment 1 Raphaël Hertzog 2010-04-15 10:22:36 EDT
In case it was not clear the non-breaking space I'm referring to is directly the UTF-8 character and not an entity ( ).
Comment 2 Jeff Fearn 2010-04-16 01:20:47 EDT
Change white space cleaning code from \s to [\t ], where the space is an ascii space, to avoid replacing special white space.
Comment 3 Ruediger Landmann 2010-05-06 01:03:14 EDT
Confirm that msgstrs that include UTF-8 non-breaking spaces are matched and used correctly in version 1.6.3.t122
Comment 4 Fedora Update System 2010-05-13 18:20:53 EDT
publican-1.6.3-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 5 Fedora Update System 2010-05-13 18:22:09 EDT
publican-1.6.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 6 Fedora Update System 2010-05-15 16:36:33 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 7 Fedora Update System 2010-05-15 16:45:47 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 8 Fedora Update System 2010-05-17 14:55:50 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-05-17 14:59:40 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.